---
title: DOMQuad
slug: Web/API/DOMQuad
tags:
  - API
  - DOM
  - DOM Reference
  - DOMQuad
  - Experimental
  - Geometry
---
<p>{{SeeCompatTable}}{{APIRef("Geometry Interfaces")}}</p>

<p>A <code>DOMQuad</code> is a collection of four <code>DOMPoint</code>s defining the corners of an arbitrary quadrilateral. Returning <code>DOMQuad</code>s lets <code>getBoxQuads()</code> return accurate information even when arbitrary 2D or 3D transforms are present. It has a handy <code>bounds</code> attribute returning a <code>DOMRectReadOnly</code> for those cases where you just want an axis-aligned bounding rectangle.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("DOMQuad.DOMQuad()")}}</dt>
 <dd>Creates a new <code>DOMQuad</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>p1,p2,p3,p4 {{readonlyinline}}</dt>
 <dd>are {{domxref("DOMPoint")}} objects for each of the <code>DOMQuad</code> object's four corners.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("DOMQuad.fromRect()")}}</dt>
 <dd>Returns a new <code>DOMQuad</code> object based on the passed set of coordinates.</dd>
 <dt>{{domxref("DOMQuad.fromQuad()")}}</dt>
 <dd>Returns a new <code>DOMQuad</code> object based on the passed set of coordinates.</dd>
 <dt>{{domxref("DOMQuad.getBounds()")}}</dt>
 <dd>Returns a {{domxref("DOMRect")}} object with the coordinates and dimensions of the <code>DOMQuad</code> object.</dd>
 <dt>{{domxref("DOMQuad.toJSON()")}}</dt>
 <dd>Returns a JSON representation of the <code>DOMQuad</code> object.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces','#DOMQuad','DOMQuad')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMQuad")}}</p>
</div>
